Subject: Re: bug#51279: Fwd: bug#51279: Hyperbole 8.0.0pre overrides Org {C-c .} binding

From: Robert Weiner <[email-masked]>
Date: Mon, 31 Jan 2022 17:05:02 -0500

This has been resolved in the latest Hyperbole master git tip.  Update to the latest pre-release and Hyperbole should run the same command as Org mode does for any C-c binding.

Please close this issue after testing.

-- Bob

> On Jan 30, 2022, at 12:03 PM, Robert Weiner <[email-masked]> wrote:
> 
> 
> Brad Knotwell <[email-masked]> writes:
> 
> > I was testing with 8.0.0pre and noticed that some of (at least one but
> > probably more; C-C .) org-mode's key bindings are gone when the
> > hyperbole minor mode is enabled. While a user can explicitly disable
> > hyperbole's minor mode to get the key bindings back, most users will
> > probably find this surprising.  Due to this, I ended up reverting to
> > 7.1.3.
> 
> Hi Brad:
> 
> Sorry, we've been working on the release and not monitoring these
> messages; just saw this.  You are right, we'll look at how best to
> handle sharing the C-c map between Org and Hyperbole and make some
> updates.  Thanks for pointing this out.  We really need active Org
> users to point out any incompatibilities.
> 
> > I also noticed that the docs recommend calling (hyperbole-mode 1)
> > instead of (require 'hyperbole) to initialize the newest version.  This
> > was unexpected as well.
> 
> Yes, this is a change to the setup for V8 since Hyperbole is now a minor
> mode.  The install and usage docs make it pretty clear, I believe.
> 
> Thanks again,
> 
> Bob
> 
> >
> > Thx.
> >
> > --Brad
> >
> > I use:  Editor:      GNU Emacs 27.2 (build 1, x86_64-apple-darwin17.7.0, Carbon Version 158 AppKit 1561.6)
> >
> >         Hyperbole:   7.1.3
> >         Sys Type:    x86_64-apple-darwin17.7.0
> >         OS Type:     darwin
> >         Window Sys:  mac
> >         News Reader: Gnus v5.13
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole